Bobcares

WeSupport

Call Us! 1-800-383-5193
Call Us! 1-800-383-5193
Call Us! 1-800-383-5193

update error


Error occured while performing sub-action ‘UpgradeZip’ – How to fix

Wondering how to fix “Error occured while performing sub-action ‘UpgradeZip’ “? We can help you.

Often our customers using Plesk report to us they get this error after updating to Plesk Obsidian 18.0.29.

Here at Bobcares, we handle requests from our customers to fix similar errors as a part of our Server Management Services. Today we will see how our Support Engineers fix this for our customers.

What causes Error occured while performing sub-action ‘UpgradeZip’

Before going into the steps for fixing the error we will see what causes this error.

A typical error looks like the one given below:

Upgrading Horde webmail...
Error occured while performing sub-action 'UpgradeZip': Operation did not complete successfully because the file contains a virus or potentially unwanted software. (Error code 225) at copy file C:\Windows\system32\config\systemprofile\AppData\Local\Plesk\Autoinstaller\webmail4362\pear\pear\Horde\Test\vendor\phpunit\phpunit\src\Util\PHP\eval-stdin.php to C:\Program Files (x86)\Plesk\\Webmail\horde\pear\pear\Horde\Test\vendor\phpunit\phpunit\src\Util\PHP\eval-stdin.php

Cause

Product issue:

#PPPM-12266 “Updating to Plesk Obsidian no longer fails with the “Operation did not complete successfully because the file contains a virus or potentially unwanted software” error.”
Fixed in:

  • Plesk Onyx 17.8 07 September 2020 (Windows)
  • Plesk Obsidian 10 August 2020 (Windows)

Steps to fix this error

For fixing this error we can install Plesk updates or upgrade Plesk to the next release.

Updating Plesk via the Plesk interface

1. Firstly we must ensure that port 8447 is opened in a firewall.

2. Then from Plesk, go to Tools & Settings, and click Updates and Upgrades.

3. And on the Updates and Upgrades page, click Update Components.

4. Now click on Continue to start the update.

Upgrading Plesk via the Plesk interface

1. Firstly we must ensure that port 8447 is opened in a firewall.

2. Then from Plesk, go to Tools & Settings, and click Updates and Upgrades.

3. And on the Updates and Upgrades page, click Install or Upgrade Product.

4. After that, we need to select a Plesk version and click Continue to start the upgrade.

This will fix the Error occured while performing sub-action ‘UpgradeZip’.

[Need assistance? We can help you]

Conclusion

In short, we saw how our Support Techs fix Error occured while performing sub-action ‘UpgradeZip’ for our customers